#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBE,0xCC,0x68,0x29,0x48,0x8D,0x1E,0x60,0x21,0x80,0xF1,0xB0,
		0x9A,0x23,0xDC,0x20,0xB6,0xA5,0x8C,0x48,0x66,0x28,0x8B,0x82,
		0x1E,0xB4,0xE2,0x9F,0x29,0x77,0x7A,0x93,0xFF,0x7E,0xD1,0xB1,
		0x4F,0xC1,0xE2,0xAC,0x7F,0x93,0xEF,0x20,0xF9,0x0D,0x9D,0xDE,
		0xE9,0xC1,0x10,0xBC,0x12,0xBA,0xCD,0x46,0x32,0x97,0xCB,0x39,
		0x69,0xC7,0x9A,0xBB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
